This patch fixes a potential core in dline.  The core may only be triggered
by a local oper with kline access.

To apply the patch:
  cd /path/to/source/modules/
  patch -p0 < ircd-ratbox-2.0.7+m_dline.diff
  make
  make install

Then on irc: /quote modrestart

Index: modules/m_dline.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/m_dline.c,v
retrieving revision 1.36.2.1
diff -u -r1.36.2.1 m_dline.c
--- modules/m_dline.c	3 Aug 2004 20:39:47 -0000	1.36.2.1
+++ modules/m_dline.c	24 Feb 2005 17:08:51 -0000
@@ -272,6 +272,13 @@
 
 	cidr = parv[1];
 
+	if(parse_netmask(cidr, NULL, NULL) == HM_HOST)
+	{
+		sendto_one(source_p, ":%s NOTICE %s :Invalid D-Line",
+			   me.name, source_p->name);
+		return 0;
+	}
+
 	if(remove_temp_dline(cidr))
 	{
 		sendto_one(source_p,
